import request from '@/utils/request'

// 查询院校库列表
export function listBBusiWishUniversities(query) {
  return request({
    url: '/system/bBusiWishUniversities/list',
    method: 'get',
    params: query
  })
}

// 查询院校库详细
export function getBBusiWishUniversities(id) {
  return request({
    url: '/system/bBusiWishUniversities/' + id,
    method: 'get'
  })
}

// 新增院校库
export function addBBusiWishUniversities(data) {
  return request({
    url: '/system/bBusiWishUniversities',
    method: 'post',
    data: data
  })
}

// 修改院校库
export function updateBBusiWishUniversities(data) {
  return request({
    url: '/system/bBusiWishUniversities',
    method: 'put',
    data: data
  })
}

// 删除院校库
export function delBBusiWishUniversities(id) {
  return request({
    url: '/system/bBusiWishUniversities/' + id,
    method: 'delete'
  })
}

// 查询所有院校库（不分页）
export function listAllBBusiWishUniversities(query) {
  return request({
    url: '/system/bBusiWishUniversities/listAll',
    method: 'get',
    params: query
  })
}
